<h1 align="center">
  <img src='https://github.com/americanexpress/babel-preset-amex/raw/master/babel-preset-amex.png' alt="Babel Preset Amex - One Amex" width='50%'/>
</h1>

[![npm](https://img.shields.io/npm/v/babel-preset-amex)](https://www.npmjs.com/package/babel-preset-amex)
[![Travis (.org) branch](https://img.shields.io/travis/americanexpress/babel-preset-amex/master)](https://travis-ci.org/americanexpress/babel-preset-amex)

> Standard babel preset for American Express

## 👩‍💻 Hiring 👨‍💻

Want to get paid for your contributions to `babel-preset-amex`?
> Send your resume to oneamex.careers@aexp.com

## 📖 Table of Contents

* [Usage](#-usage)
* [Available Scripts](#-available-scripts)
* [Contributing](#-contributing)
* [License](#-license)
* [Code of Conduct](#-code-of-conduct)

## 🤹‍ Usage

### Installation

```bash
npm install --save-dev babel-preset-amex
```

### Add to your `.babelrc` file

```json
{
  "presets": ["amex"]
}
```

## 📜 Available Scripts

**`npm run lint`**

Verifies that your code matches the American Express code style defined in
[`eslint-config-amex`](https://github.com/americanexpress/eslint-config-amex).

**`npm pretest`**

Runs `npm run lint`.

**`npm test`**

Runs unit tests.

**`npm run test:git-history`**

Verifies the format of all commit messages on the current branch.

**`npm posttest`**

Verifies the format of all commit messages on the current branch.

## 🏆 Contributing

We welcome Your interest in the American Express Open Source Community on Github.
Any Contributor to any Open Source Project managed by the American Express Open
Source Community must accept and sign an Agreement indicating agreement to the
terms below. Except for the rights granted in this Agreement to American Express
and to recipients of software distributed by American Express, You reserve all
right, title, and interest, if any, in and to Your Contributions. Please [fill
out the Agreement](https://cla-assistant.io/americanexpress/babel-preset-amex).

Please feel free to open pull requests and see [CONTRIBUTING.md](./CONTRIBUTING.md) for commit formatting details.

## 🗝️ License

Any contributions made under this project will be governed by the [Apache License 2.0](./LICENSE.txt).

## 🗣️ Code of Conduct

This project adheres to the [American Express Community Guidelines](./CODE_OF_CONDUCT.md).
By participating, you are expected to honor these guidelines.
